@font-face {
	font-family: "terminal"; 
	src: url("fonts/Director-Regular.woff") format("woff");
}
	
@font-face {
	font-family: "degheest"; 
	src: url("fonts/Director-Regular.woff") format("woff");
}


body { 
	font-family: "degheest", serif; 
	margin: 0;
	padding: 0;
	background: #141615;
	color: #F3F6F4;
	background-image: url('spookygrain2.gif'); /* Link to your GIF file */
    background-size: cover; /* Ensures the GIF covers the entire viewport */
    background-position: center; /* Centers the GIF */
    background-repeat: no-repeat; /* Prevents the GIF from tiling */
    height: 100vh; /* Ensures the body takes at least the full height of the viewport */
    background-attachment: fixed; /* background scrolls with the view */
}

* { 
	box-sizing: border-box;
	scrollbar-color: #8B2635 #000000;
}

*::-webkit-scrollbar { width: 15px; }
*::-webkit-scrollbar-track { background: #000000; }
*::-webkit-scrollbar-thumb { background-color: #8B2635; border: transparent; }

img { max-width: 100% }

nav {
	display: flex;
	flex-wrap: wrap;
	text-align: right;
	justify-content: right;
}

main {
	margin: 10px auto;
	max-width: 60rem;
}



section {
	margin: 2em auto;
	padding: 1em 2em;
	border: 1px dashed #A9ABA1;
	outline: 1px dotted #A9ABA1;
	outline-offset: 5px;
	max-width: calc(100% - 10px);
}

nav a, .up a {
	color: #8B2635;
	display: block;
	border: 1px #8B2635 solid;
	margin: 10px;
	padding: 20px 5px 2px 50px;
	text-decoration: none;
	font-size: 30px;
	background-color: rgb(0,0,0,0);
}

hr {
	border: none;
	border-top: 1px solid #2E3532;
}

header {
	font-size: 50px;
	margin: 10px;
	display: flex;
	justify-content: space-between;
	font-family: 'terminal';
	font-weight: normal;
	color: #400411;
	max-width: calc(100% - 20px);
}

header div { margin: 20px 10px 0 20px; text-shadow: 3px 3px #A9ABA1; }

h1, h2, h3, h4, h5, h6, p, table, details, cite, pre, blockquote, .sidebar {
	margin: 1rem 0;
}

h1, h2, h3, a { font-family: 'terminal'; font-weight: normal; }

a { color: #8B2635; padding: 2px 4px; font-size: 1.25em; }

ul, ol {
	margin: 1rem 0 1rem 1.5rem;
}

dl { margin: 1rem 0; }

dt { 
	background: linear-gradient(to right, #2E3532, #E0E2DB);
	padding: 0.25rem 0.5rem;
	color: #E0E2DB;
}

dd { padding: 1rem; }

ul ul, ol ol { 
	margin: 0 0 0 2rem;
}

p, table,  ul, ol, dl {
	font-size: 1rem;
	line-height: 1.5;
}

a:hover { 
	background-color: #8B2635;
	color:#E0E2DB;
}

h6 { font-size: 1em; }
h5 { font-size: 1.25em; }
h4 { font-size: 1.5em; }
h3 { font-size: 2.5em; }
h2 { font-size: 3em; }
h1 { font-size: 3.75em; text-align: center; }

blockquote {
	border-left: #8B2635 3px solid;
	padding: 0 1rem;
}

cite { 
	display: block;
	text-align: right;
}

code, pre {
	background-color: #2E3532;
	color: #E0E2DB;
}

details { border: 1px solid; }

code { 
	font-family: 'Courier New', monospace; 
	padding: 2px 4px;
}

details, pre {
	padding: 1em;
}

pre { overflow-x: auto; }

details p { margin: 0.5rem 0 0 2rem; }

table {	border: 3px solid #2E3532; margin: 1rem auto; }
tr, td, th { border: 1px solid #2E3532; }
td, th { padding: 0.5rem }

figure {  display: table; margin: 1rem; }

figure img { margin: 5px auto; }

figcaption { 
	display: table-caption;
    caption-side: bottom;
    text-align: center;
}

footer { 
	font-size: 0.8em;
	text-align: center; 
	padding: 5px 10px;
	margin: 2rem;
}

.up { position: fixed;
	bottom: 10px; right: 10px; }

.flex-box {
    display:flex;
    flex-wrap:wrap;
    margin: 0 auto;
	padding: 0;
	align-items: flex-start;
}

.flex-box section {
	margin: 1em;
	}

.full { flex: 1 1 100%;}
.half { flex: 1 1 calc(50% - 2em); }
.third { flex: 1 1 calc(33% - 2em); }
.twothird { flex: 1 1 calc(66% - 2em); }
.quarter { flex: 1 1 calc(25% - 2em); }
.threequarter { flex: 1 1 calc(75% - 2em); }


@media screen and (max-width: 1270px){
	.up { position: static; width: fit-content; margin: 10px auto; }
}

@media screen and (max-width: 700px){
	header { flex-wrap: wrap; }
	header div { margin: 5px; }
	nav a {
		margin: 5px;
		padding: 15px 5px 2px 30px;
		text-decoration: none;
		font-size: 24px;
	}
	section {
		margin: 1em auto;
		padding: 0.5em 1em;
	}
	ul, ol {
		margin: 1rem 0 1rem 0.5rem;
	}
	ul ul, ol ol { 
		margin: 0 0 0 1rem;
	}
}

.third {
    width: 300px; /* Set a specific width (or a percentage) */
    height: 300px; /* Set a specific height to define the visible area */
    border: 1px solid #ccc; /* Optional: adds a border to see the container boundaries */
    overflow: auto; /* Adds scrollbars only when the content overflows */
}




/* Vocaloid - Hatsune Miku - https://www.cursors-4u.com/cursor/vocaloid-hatsune-miku */
* {
  cursor: url('https://cdn.cursors-4u.net/css-previews/vocaloid-hatsune-miku-42f1fb9e-css.webp') 0 0, auto !important;
}
/* End www.Cursors-4U.com Code */




/* -------------------------------------------------------- */
/* CRT EFFECT */
/* -------------------------------------------------------- */
  .crt::before {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 10;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
}

@keyframes flicker {
  0% {
  opacity: 0.27861;
  }
  5% {
  opacity: 0.34769;
  }
  10% {
  opacity: 0.23604;
  }
  15% {
  opacity: 0.10626;
  }
  20% {
  opacity: 0.18128;
  }
  25% {
  opacity: 0.10626;
  }
  30% {
  opacity: 0.18128;
  }
  35% {
  opacity: 0.23604;
  }
}

.crt::after {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(18, 16, 16, 0.1);
  opacity: 0;
  z-index: 2;
  pointer-events: none;
  animation: flicker 0.15s infinite;
}

#site-button{
  display: flex;
  flex-direction: column;
  padding: 0em 2em 2em 2em; /*top right bottom left */
  margin: 0em 2em 0em 2em; /*top right bottom left */
  image-rendering: pixelated;
  text-align: center;
}

.button_site {
  min-width:60%;
  min-height:60%;
  
}



/*---------------------------------- */
/*---------------------------------- */
/* START OF MUSIC PLAYER STYLE       */
/*---------------------------------- */
/*---------------------------------- */

      .title-bar {
        background: linear-gradient(90deg, purple, orchid, pink);
      }

      .player {
        width: fit-content;
        border: black solid 1px;
        border-width: 1px 0px 0px 1px;
        margin-left: auto;
        margin-right: auto;
        position:  relative;
      
      }

      .controlimg:hover {
        cursor: help;
      }

      input[type="range"] {
        -webkit-appearance: none;
        appearance: none;
        width: 100%;
        background: transparent;
      }

      input[type="range"]:focus {
        outline: none;
      }

      input[type="range"]::-webkit-slider-thumb {
        -webkit-appearance: none;
        height: 21px;
        width: 11px;
        background: svg-load(
          "https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-horizontal.svg"
        );
        transform: translateY(-8px);
        box-shadow: none;
        border: none;
      }

      input[type="range"].has-box-indicator::-webkit-slider-thumb {
        background: svg-load(
          "https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-rectangle-horizontal.svg"
        );
        transform: translateY(-10px);
      }

      input[type="range"]::-moz-range-thumb {
        height: 21px;
        width: 11px;
        border: 0;
        border-radius: 0;
        background: svg-load(
          "https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-horizontal.svg"
        );
        transform: translateY(2px);
      }

      input[type="range"]::-moz-range-thumb {
        background: url("https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-horizontal.svg");
        border: 0;
        border-radius: 0;
        height: 21px;
        transform: translateY(2px);
        width: 11px;
      }

      input[type="range"].has-box-indicator::-moz-range-thumb {
        background: svg-load(
          "https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-rectangle-horizontal.svg"
        );
        transform: translateY(0px);
      }

      input[type="range"]::-webkit-slider-runnable-track {
        width: 100%;
        height: 2px;
        box-sizing: border-box;
        background: black;
        border-right: 1px solid grey;
        border-bottom: 1px solid grey;
        box-shadow: 1px 0 0 white, 1px 1px 0 white, 0 1px 0 white,
          -1px 0 0 darkgrey, -1px -1px 0 darkgrey, 0 -1px 0 darkgrey,
          -1px 1px 0 white, 1px -1px darkgrey;
      }

      input[type="range"]::-moz-range-track {
        width: 100%;
        height: 2px;
        box-sizing: border-box;
        background: black;
        border-right: 1px solid grey;
        border-bottom: 1px solid grey;
        box-shadow: 1px 0 0 white, 1px 1px 0 white, 0 1px 0 white,
          -1px 0 0 darkgrey, -1px -1px 0 darkgrey, 0 -1px 0 darkgrey,
          -1px 1px 0 white, 1px -1px darkgrey;
      }

      button,
      input,
      label,
      option,
      select,
      table,
      textarea,
      ul.tree-view {
        -webkit-font-smoothing: none;
        font-family: "Pixelated MS Sans Serif", Arial;
        font-size: 11px;
      }

     /* h1 {
        font-size: 5rem;
      }

      h2 {
        font-size: 2.5rem;
      }

      h3 {
        font-size: 2rem;
      }

      h4 {
        font-size: 1.5rem;
      }

      u {
        border-bottom: 0.5px solid #222;
        text-decoration: none;
      } */

      button,
      input[type="reset"],
      input[type="submit"] {
        border: none;
        border-radius: 0;
        box-sizing: border-box;
        color: transparent;
        min-height: 23px;
        min-width: 75px;
        padding: 0 12px;
        text-shadow: 0 0 #222;
      }

      .vertical-bar,
      button,
      input[type="reset"],
      input[type="submit"] {
        background: silver;
        box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #fff,
          inset -2px -2px grey, inset 2px 2px #dfdfdf;
      }

      .vertical-bar {
        height: 20px;
        width: 4px;
      }

      button:not(:disabled):active,
      input[type="reset"]:not(:disabled):active,
      input[type="submit"]:not(:disabled):active {
        box-shadow: inset -1px -1px #fff, inset 1px 1px #0a0a0a,
          inset -2px -2px #dfdfdf, inset 2px 2px grey;
        text-shadow: 1px 1px #222;
      }

      @media (not(hover)) {
        button:not(:disabled):hover,
        input[type="reset"]:not(:disabled):hover,
        input[type="submit"]:not(:disabled):hover {
          box-shadow: inset -1px -1px #fff, inset 1px 1px #0a0a0a,
            inset -2px -2px #dfdfdf, inset 2px 2px grey;
        }
      }

      button:focus,
      input[type="reset"]:focus,
      input[type="submit"]:focus {
        outline: 1px dotted #000;
        outline-offset: -4px;
      }

      button::-moz-focus-inner,
      input[type="reset"]::-moz-focus-inner,
      input[type="submit"]::-moz-focus-inner {
        border: 0;
      }

      :disabled,
      :disabled + label,
      input[readonly],
      input[readonly] + label {
        color: grey;
      }

      :disabled + label,
      button:disabled,
      input[type="reset"]:disabled,
      input[type="submit"]:disabled {
        text-shadow: 1px 1px 0 #fff;
      }

      .title-bar-controls button {
        border: none;
        border-radius: 0;
        box-sizing: border-box;
        color: transparent;
        min-height: 23px;
        min-width: 75px;
        padding: 0 12px;
        text-shadow: 0 0 #222;
      }

      .title-bar-controls button {
        background: silver;
        box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #fff,
          inset -2px -2px grey, inset 2px 2px #dfdfdf;
      }

      .title-bar-controls button:not(:disabled):active {
        box-shadow: inset -1px -1px #fff, inset 1px 1px #0a0a0a,
          inset -2px -2px #dfdfdf, inset 2px 2px grey;
        text-shadow: 1px 1px #222;
      }

      @media (not(hover)) {
        button:not(:disabled):hover {
          box-shadow: inset -1px -1px #fff, inset 1px 1px #0a0a0a,
            inset -2px -2px #dfdfdf, inset 2px 2px grey;
        }
      }

      .title-bar-controls button:focus {
        outline: 1px dotted #000;
        outline-offset: -4px;
      }

      .title-bar-controls button::-moz-focus-inner {
        border: 0;
      }

      @font-face {
        font-family: "Pixelated MS Sans Serif";
        src: url("https://files.catbox.moe/1za99g.woff") format("woff");
        src: url("https://files.catbox.moe/8fwbkl.woff2") format("woff2");
        font-weight: normal;
        font-style: normal;
      }

      @font-face {
        font-family: "Pixelated MS Sans Serif";
        src: url("https://files.catbox.moe/z7csle.woff") format("woff");
        src: url("https://files.catbox.moe/moqhx6.woff2") format("woff2");
        font-weight: bold;
        font-style: normal;
      }

      .window,
      .title-bar {
        font-family: "Pixelated MS Sans Serif", Arial;
        -webkit-font-smoothing: none;
        font-size: 11px;
      }

      .window {
        box-shadow: inset -1px -1px #0a0a0a, inset 1px 1px #dfdfdf,
          inset -2px -2px #808080, inset 2px 2px #ffffff;
        background: #c0c0c0;
        padding: 3px;
        width: 260px;
      }

      .title-bar {
        padding: 3px 2px 3px 3px;
        display: flex;
        justify-content: space-between;
        align-items: center;
      }

      .title-bar-text {
        font-weight: bold;
        color: white;
        letter-spacing: 0;
        margin-right: 24px;
      }

      .title-bar-controls {
        display: flex;
      }

      .title-bar-controls button {
        padding: 0;
        display: block;
        min-width: 16px;
        min-height: 14px;
      }

      .title-bar-controls button:active {
        padding: 0;
      }

      .title-bar-controls button:focus {
        outline: none;
      }

      .title-bar-controls button[aria-label="Minimize"] {
        background-image: url("https://raw.githubusercontent.com/jdan/98.css/main/icon/minimize.svg");
        background-position: bottom 3px left 4px;
        background-repeat: no-repeat;
      }

      .title-bar-controls button[aria-label="Maximize"] {
        background-image: url("https://raw.githubusercontent.com/jdan/98.css/4a2282dd9170cabf730fb5803d1153d86b2e94e3/icon/maximize.svg");
        background-position: top 2px left 3px;
        background-repeat: no-repeat;
      }

      .title-bar-controls button[aria-label="Close"] {
        background-image: url("https://raw.githubusercontent.com/jdan/98.css/main/icon/close.svg");
        background-position: top 3px left 4px;
        background-repeat: no-repeat;
        margin-left: 2px;
      }

      .window-body {
        margin: 0px;
        height: 98px;
      }

      input[type="range"] {
        -webkit-appearance: none;
        appearance: none;
        width: 100%;
      }

      input[type="range"]:focus {
        outline: none;
      }

      /* settings for chrome browsers */
      input[type="range"]::-webkit-slider-runnable-track {
        width: 100%;
        height: 2px;
        /* thickness of seeking track */
        cursor: help;
      }

      /* settings for firefox browsers */
      input[type="range"]::-moz-range-track {
        width: 100%;
        height: 2px;
        /* thickness of seeking track */
        cursor: help;
      }

      .flex {
        display: flex;
      }

      .titlebaricon {
        height: 14px;
        width: 14px;
      }

      .songtitlewindow {
        background-color: #000000;
        box-shadow: inset -1px -1px #000000, inset 1px 1px grey,
          inset -2px -2px #dfdfdf, inset 2px 2px #0a0a0a;
      }

      #musicplayer {
        border: 2px solid silver;
        /* border around player */
        border-width: 2px 0px 0px 0px;
        width: 160px;
        /* width of the player */
      }

      #imagestyle {
        background: silver;
        /* background color of player */
        border: 2px solid silver;
        /* border around player */
        width: 95px;
        /* width of the player */
        height: 95px;
        box-shadow: inset -1px -1px #fff, inset 1px 1px grey,
          inset -2px -2px #dfdfdf, inset 2px 2px #0a0a0a;
      }

      .ic {
        width: 90px;
        position: relative;
        bottom: 1px;
        right: 1px;
        overflow: hidden;
        padding: 2px;
        border: 2px solid transparent;
      }

      .songtitlearrow {
        background-size: 100%;
        background-repeat: no-repeat;
        background-image: url(https://files.catbox.moe/f5e8np.png);
        height: 21px;
        width: 21px;
        position: relative;
        top: 2px;
        left: -2px;
        border: 0px solid transparent;
        border-width: 0px 0px 0px 0px;
      }

      .songtitle {
        padding: 5px;
        /* padding around song title */
        border-bottom: 0px;
        /* border under song title */
        display: block;
        font-family: Pixelated MS Sans Serif;
      }

      .controls {
        font-size: 15px !important;
        /* size of controls */
        text-align: center;
        width: 100%;
        position: relative;
        bottom: 25px;
      }

      .controls td {
        padding: 1px 1px 0px 1px;
        /* padding around controls */
      }

      button {
        min-width: 10px;
      }

      .seeking {
        background-color: #c0c0c0;
        /* background color of seeking bar */
        display: flex;
        justify-content: space-evenly;
        padding: 14px;
        /* padding around seeking bar */
      }

      .current-time {
        padding-right: 5px;
      }

      .total-duration {
        padding-left: 5px;
      }

      .controlimg {
        height: 10px;
        width: 10px;
      }





    